Issue10

Title Threading is not supported, never yields the execution to other threads
Priority bug Status resolved
Superseder Nosy List kayhayen
Assigned To kayhayen Keywords wrong_execution

Created on 2011-11-12.11:22:15 by kayhayen, last changed by kayhayen.

Messages
msg367 (view) Author: kayhayen Date: 2013-06-12.21:59:45
This is now considered resolved, threads are working now.
msg107 (view) Author: kayhayen Date: 2012-07-12.06:56:10
Upgraded to bug, and assigned, as it's one important missing bit.
msg25 (view) Author: kayhayen Date: 2011-11-12.11:22:15
This can lead to dead locks for compiled programs that use threads. Using 
threads is not as good as using sub processes, which will also scale better 
across multiple CPUs.

I am not really aware, how much effort it will be to support threading, it may 
not be worth it, but it clearly breaks compatibility to not have it.
History
Date User Action Args
2013-06-12 21:59:45kayhayensetstatus: deferred -> resolved
messages: + msg367
keyword: - help_wanted
title: Threading is not supported, never yields the execution to other threads (help wanted) -> Threading is not supported, never yields the execution to other threads
2012-07-12 06:56:11kayhayensetpriority: wish -> bug
assignedto: kayhayen
messages: + msg107
2011-11-12 11:22:15kayhayencreate